MX Deposit is a cloud-based database for collecting, managing, and sharing drillhole and point-sample data within comprehensive drilling and mining workflows. It supports multiple data sources, seamlessly enhancing data quality with dynamic logging and built-in validation, and streamlines drilling data management from drilling operations through to long-term geological and mining programmes.
This modern approach unifies well, open hole, drill core, and geology logging into a single, standardised workflow. As a core component of drilling and mining data management, MX Deposit software aligns teams, and processes so geological data is accurate, validated, and consistently captured for better operational decisions.
MX Deposit Data Hierarchy
Data in MX Deposit is organised in the following hierarchy, and the API follows the same order.
| Level | Description | Example |
|---|---|---|
| Projects | A project groups the activities carried out for a site, region or programme. | Exploration Project |
| Activities | An activity belongs to a project and defines the data that is collected, for example drilling. | Geotechnical Drilling |
| Drillholes/Point samples | Collars, which are the drillholes or point samples recorded under an activity, with their row data. | A1_34_028 |
Requests are sent to your MX Deposit instance, https://*.mxdeposit.net.
Authentication
Send your credentials in the Authorization header. MX Deposit supports the following methods:
| Method | Request headers | Notes |
|---|---|---|
| API key (legacy) | Authorization: {api_key} and Client-ID: {client_id} | For existing clients, for backward compatibility. Contact support@seequent.com to obtain an {api_key} and {client_id}. |
| Bentley IMS access token | Authorization: Bearer {access_token} | Bentley IMS access token of an MX Deposit user. |
| Seequent ID access token | Authorization: Bearer {access_token} | Seequent ID access token of an MX Deposit user. |
Note - Do not send the Client-ID header when using an access token.